Problem Starting OpenEMM

Installing, Configuring, Troubleshooting server daemons such as Web and Mail
Post Reply
muro230
Posts: 4
Joined: 2009/04/15 04:53:54

Problem Starting OpenEMM

Post by muro230 » 2009/04/20 01:29:47

I've been serchin for my problem, but no luck so far.
I'm configuring OpenEMM- 5.5.1 using this manual:

http://www.openemm.org/wiki/Installa..._OpenEMM_5.x.y

but at final part i've got the problem:

Start OpenEMM
(run as superuser)
Become the user ’openemm’ by running
su - openemm
Change to the directory containing the startup/shutdown script.
cd bin
To start the OpenEMM enviroment, run
OpenEMM.sh start
To stop OpenEMM
OpenEMM.sh stop
Point your webbrowser to
http://www.openemm.org:8081
(insert your own Console URL here) and log into OpenEMM as
Username: admin
Password: openemm
OpenEMM detects the language setting of your webbrowser and shows the appropiate login page. Obviously, your first step should be to change the password ’openemm’ in the Settings menu to a new password.
By default, the menus of OpenEMM are shown in English. To change to German language, click on menu "Settings" and choose submenu "User". Select user "admin" and change the language field from English to German. Retype your password twice (password and confirm field) and press the Save button. You have to log out and in again to activate the change of the user language.

CODE:

[root@g2k_3909 var]# su - openemm
-bash-3.2$ ls
bin conf lib libexec log README.txt var webapps webservices
-bash-3.2$ cd bin
-bash-3.2$ ls
bav httpd.sh scripts updater
bavd.sh mailer.sh sendmail-disable.sh update.sh
bav-trigger.sh merger.sh sendmail-enable.sh upgrade.sh
bav-update.sh openemm-charset-convert.sh slrtscn.sh wrapper.pl
bounce.sh OpenEMM.sh smctrl xmlback
core.sh pickdist.sh softbounce.sh
-bash-3.2$ OpenEMM.sh start
Start /home/openemm/bin/scripts/bav-update.py .. done.
Start /home/openemm/bin/scripts/bav-trigger.py .. done.
Start /home/openemm/bin/scripts/bavd.py .. done.
Start /home/openemm/bin/bav -L INFO .. done.
Start /home/openemm/bin/scripts/update.py bounce account .. done.
/home/openemm/bin/pickdist.sh: line 31: /home/openemm/var/spool/META/blockmail.dtd: Permission denied
Start /home/openemm/bin/scripts/pickdist.py .. done.
LOGFILE write failed[, (13, 'Permission denied')]: '[19.04.2009 22:16:37] 24530 FATAL/except: CAUGHT EXCEPTION:\nTraceback (most recent call last):\n File "/home/openemm/bin/scripts/smenable.py", line 107, in ?\n main (sys.argv[0], sys.argv[1:])\n File "/home/openemm/bin/scripts/smenable.py", line 87, in main\n ctrl = SMCtrl ()\n File "/home/openemm/bin/scripts/smenable.py", line 35, in __init__\n self.db = agn.DBase ()\nAttributeError: \'module\' object has no attribute \'DBase\'\n\n'
CAUGHT EXCEPTION:
Traceback (most recent call last):
File "/home/openemm/bin/scripts/smenable.py", line 107, in ?
main (sys.argv[0], sys.argv[1:])
File "/home/openemm/bin/scripts/smenable.py", line 87, in main
ctrl = SMCtrl ()
File "/home/openemm/bin/scripts/smenable.py", line 35, in __init__
self.db = agn.DBase ()
AttributeError: 'module' object has no attribute 'DBase'

Unable to determinate status for sendmail usages, assuming sendmail is enabled
Stopping obsolete sendmail processes: done.
Starting sendmails: listener admin queue mail queue done.
postfix/postfix-script: fatal: the Postfix mail system is already running
Start /home/openemm/bin/scripts/slrtscn.py .. done.
Can't create /home/openemm/var/log/core_stdout.log.
-bash-3.2$


Any idea!?
Tk!!!

cat /proc/version
Linux version 2.6.18-028stab060.8 (root@rhel5-64-build) (gcc version 4.1.2 20070626 (Red Hat 4.1.2-14)) #1 SMP Mon Feb 9 20:25:36 MSK 2009 :-(

gerald_clark
Posts: 10642
Joined: 2005/08/05 15:19:54
Location: Northern Illinois, USA

Problem Starting OpenEMM

Post by gerald_clark » 2009/04/20 13:52:17

How is this a CentOS question?
Your kernel is not a CentOs kernel.
The program is not a CentOS program.

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Problem Starting OpenEMM

Post by pschaff » 2009/04/20 18:16:18

[quote]
muro230 wrote:
...
Any idea!?
Tk!!!

cat /proc/version
Linux version 2.6.18-028stab060.8 (root@rhel5-64-build) (gcc version 4.1.2 20070626 (Red Hat 4.1.2-14)) #1 SMP Mon Feb 9 20:25:36 MSK 2009 :-([/quote]

To add to what Gerald said..

You are seriously out of date. For CentOS-5.3:
# cat /proc/version
Linux version 2.6.18-128.1.6.el5 (mockbuild@builder10.centos.org) (gcc version 4.1.2 20080704 (Red Hat 4.1.2-44)) #1 SMP Wed Apr 1 09:10:25 EDT 2009

Your version info indicates RHEL5, and if you are migrating to CentOS-5 that might be OK; however, you are posting in a CentOS-4 forum for the second time.
http://www.centos.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=19770&forum=31

If you have CentOS-5 questions we would be glad to help, AFTER you upgrade to CentOS-5.3 packages, including the kernel. Your questions would be better received if you post in the correct forum - See [url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14274&forum=47]Readme first #1[/url].

Still sounds like you may be having [url=http://wiki.centos.org/TipsAndTricks/BrokenVserver]Broken Vserver[/url] issues.

Post Reply

Return to “CentOS 4 - Server Support”